// packageA//pages/distribution/myteam/myteam.js
const app =  getApp();
let self = null;

Page({

  /**
   * 页面的初始数据
   */
  data: {
		tabArr: ['未付款','已付款','已完成'],
		statusArr: ['未付款','已付款','等待分成(已收货)','已完成'],
		commisionArr: ['一级分成','二级分成'],//,'分成'
		currentTabIndex: 0, //记录当前点击的Tab索引
		imghost: '',
		status: 0,
		
		list: null,
		isLoading: false, // 检测是否已经发送请求,防止重复发送请求
		noMore: false, // 检测是否有更多数据,true为没有更多数据,false为还有数据
		pageNum: 1, // 当前页数
		
		default_img: '/miniapp/images/default_g_img.gif',
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
	  
	    wx.setNavigationBarTitle({
	      title: "分销订单",
	    });
	  
		self = this;//保存全局指针
		app.isLogin().then(function(data) {//进入页面前已经授权登录成功
			self.setData({
				userInfo: data,
			});
		});
		
		// 判断会员是否授权登录，
		// 没有登录则跳转到登录页，
		// 已登录则设置已登录状态，请求加载签到数据
		// isLogin记录登录状态
		// app.isLogin().then(function(data) {
		// 	console.log('data', data);
		// 	// 1.登录成功
		// 	self.setData({
		// 		isLogin: true,
		// 		userInfo: data,
		// 	});
		// 	// 2.请求数据
		// 	// status: 0=未付款  1=已付款  3=已完成, 默认加载0
		// 	app.request.promiseGet('/api/weshop/rebateLog/pageOrder', {
		// 		data: {
		// 			store_id: app.globalData.setting.stoid,
		// 			user_id: app.globalData.user_id,
		// 			status: 0,
		// 		},
		// 		isShowLoading: true,
		// 	}).then(function(res) {
		// 		self.setData({
		// 			list: res.data.data,
		// 		});
		// 	});
		// });
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
        getApp().check_can_share();
		if(app.globalData.userInfo) {
			if(!this.data.isLogin) {
				this.setData({
					userInfo: app.globalData.userInfo,
					imghost: app.globalData.setting.imghost,
					isLogin: true,
				});
				
				// 请求数据
				app.request.promiseGet('/api/weshop/rebateLog/pageOrder', {
					data: {
						store_id: app.globalData.setting.stoid,
						user_id: app.globalData.user_id,
						status: 0,
					},
					isShowLoading: true,
				}).then(function(res) {
					self.setData({
						list: res.data.data,
					});
				});
			
			};
		};
		

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
		this.scrollToLower('/api/weshop/rebateLog/pageOrder', {
			store_id: app.globalData.setting.stoid,
			user_id: app.globalData.user_id,
			status: this.data.status,
		});
  },

  /**
   * 用户点击右上角分享
   */
   onShareAppMessage: function () {   	  getApp().globalData.no_clear=1

  },
	
	/**
	 * 点击跳转
	 */
	goto(e) {
		let url = '';
		if(e.target.dataset.url) {
			url = e.target.dataset.url;
		} else {
			url = e.currentTarget.dataset.url;
		}
		app.goto(url);
	},
	
	/**
	 * 点击Tab项
	 */
	clickTab(e) {
		if(this.data.isLogin) {
			
			let status = 0;
			let currentIndex = e.target.dataset.index;
			
			switch(currentIndex) {
				case 0: {
					status = 0;
					break;
				};
				case 1: {
					status = 1;
					break;
				};
				case 2: {
					status = 3;
					break;
				};
			};
			
			this.setData({
				list: null, //清空列表
				noMore: false,
				pageNum: 1,
				currentTabIndex: currentIndex,
				status,
			});
			
			app.request.promiseGet('/api/weshop/rebateLog/pageOrder', {
				data: {
					store_id: app.globalData.setting.stoid,
					user_id: app.globalData.user_id,
					status,
				},
				isShowLoading: true,
			}).then(function(res) {
				self.setData({
					list: res.data.data,
				});
			});
			
		}
		
	},
	
	/**
	 * 请求数据
	 */
	getData: function(isInit, url, data) {
		app.request.promiseGet(url, {
			data: data,
			isShowLoading: true,
		})
		.then(function(res) {
			// console.log('1121', res.data.code);
			if(res.data.code == 0) {
				
				self.setData({
					isLoading: false
				});
				
				if(isInit) {// 第一次加载
					self.setData({
						list: res.data.data
					});
				} else {
					self.setData({
						'list.pageData': self.data.list.pageData.concat(res.data.data.pageData)
					});
				};
				
				if((res.data.data.pageData.length == 0) || (res.data.data.pageSize * res.data.data.page >= res.data.data.total)) {
					self.setData({
						noMore: true
					});
				};
				
			} else {
				self.setData({
					'list.pageData': []
				});
			};
			
		})
		.catch(function(err) {
			console.log('出错拉！！！！',err);
			self.setData({
				'list.pageData': []
			});
		});
	},
	
	
	// 上拉加载
	scrollToLower(url, requestData) {
		// 数据总量
		let total = this.data.list.total;
		// 单页最大数据量
		let pageSize = this.data.list.pageSize;
		// 如果数据总量不为0且小于或等于单页最大数据量，说明数据已全部加载，显示‘没有更多了’
		if((total != 0)&&(total <= pageSize)) {
			this.setData({
				noMore: true
			});
		};
		
		if(!this.data.isLoading && !this.data.noMore) {
			this.setData({
				isLoading: true,
				pageNum: this.data.pageNum + 1
			});
			requestData.page = this.data.pageNum;
			this.getData(false, url, requestData);
		};
	},
	

})